Bug 972262 - Service definitions for PCP daemons
Service definitions for PCP daemons
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
18
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 23:19 EDT by Nathan Scott
Modified: 2013-08-03 20:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.3.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 20:08:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pmcd service specification for firewalld (433 bytes, text/xml)
2013-06-07 23:19 EDT, Nathan Scott
no flags Details
pmproxy service specification for firewalld (474 bytes, application/xml)
2013-06-07 23:21 EDT, Nathan Scott
no flags Details
pmwebapi service specification for firewalld (460 bytes, application/xml)
2013-06-07 23:22 EDT, Nathan Scott
no flags Details
secure pmwebapi service specification for firewalld (544 bytes, application/xml)
2013-06-07 23:22 EDT, Nathan Scott
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 922200 None None None Never

  None (edit)
Description Nathan Scott 2013-06-07 23:19:58 EDT
Created attachment 758404 [details]
pmcd service specification for firewalld

We recently had a report of someone failing to enable the Performance Co-Pilot metrics collector daemon pmcd on Fedora.  It would've proved helpful for them to have user interface support in firewall-config to permit access to the correct port for the service.  Attached files add support for the PCP protocols and proxy daemon, and I've tested them on f18 in /usr/lib/firewalld/services.  Could we have these added in by default?

FWIW, the pmcd and pmproxy ports have been IANA registered for many years - the pmwebapi ports are currently going through the same process [IANA #679881].

cheers.
Comment 1 Nathan Scott 2013-06-07 23:21:10 EDT
Created attachment 758405 [details]
pmproxy service specification for firewalld
Comment 2 Nathan Scott 2013-06-07 23:22:00 EDT
Created attachment 758406 [details]
pmwebapi service specification for firewalld
Comment 3 Nathan Scott 2013-06-07 23:22:44 EDT
Created attachment 758407 [details]
secure pmwebapi service specification for firewalld
Comment 4 Jiri Popelka 2013-06-12 09:35:46 EDT
Thanks. I added them upstream
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=eafbf23122932c58fc84f868292d544e7f384800

We most likely won't add them into firewalld in Fedora 18, just in Fedora 19.
Comment 5 Nathan Scott 2013-06-14 00:42:57 EDT
OK, great - thanks Jiri!
Comment 6 Fedora Update System 2013-07-30 15:13:00 EDT
firewalld-0.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.4-1.fc19
Comment 7 Fedora Update System 2013-08-01 23:48:11 EDT
Package firewalld-0.3.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14046/firewalld-0.3.4-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-08-03 20:08:43 EDT
firewalld-0.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.